# Variable | tablefilter v0.5.3 API Document

# Variable

Static Public Summary
public | AUTO_FILTER_DELAY : Number Auto filter delay in milliseconds |
public | CELL_TAG : String Cell tag |
public | CHECKLIST : String Checklist filter type |
public | DATE : String Date |
public | DOWN_ARROW_KEY : Number Down arrow key code |
public | ENTER_KEY : Number Enter key code |
public | ESC_KEY : Number Escape key code |
public | FORMATTED_NUMBER : String Formatted number |
public | HEADER_TAG : String Header cell tag |
public | INPUT : String Input filter type |
public | IP_ADDRESS : String IP address |
public | MULTIPLE : String Multiple select filter type |
public | NONE : String None filter type |
public | NUMBER : String Number |
public | SELECT : String Select filter type |
public | STRING : String String |
public | TAB_KEY : Number Tab key code |
public | UP_ARROW_KEY : Number Up arrow key code |
public | addClass (ele: DOMElement, cls: String): * Adds the specified class to the passed element |
public | addEvt (obj: DOMElement, type: String, Handler: Function, capture: Boolean): * Add event handler for specified event on passed element |
public | cancelEvt (evt: Event): * Cancels the event if it is cancelable, without stopping further propagation of the event. |
public | contains (term: String, data: String, exactMatch: Boolean, caseSensitive: Boolean, ignoreDiacritics: Boolean): Boolean: * Checks if passed data contains the searched term |
public | createCheckItem (id: String, chkValue: String, labelText: String): Object: * Creates and returns a checklist item |
public | createElm (tag: String, an: Array): Object: * Creates an html element with given collection of attributes |
public | createOpt (text: String, value: String, isSel: Boolean): Object: * Creates and returns an option element |
public | createText (txt: String): Object: * Returns a text node with given text |
public | elm (id: String): DOMElement: * Returns the element matching the supplied Id |
public | getFirstTextNode (node: NodeElement): String: * Returns the first text node contained in the supplied node |
public | getText (node: NodeElement): String: * Returns text + text of children of given node |
public | has (arr: Array, val: Any, caseSensitive: Boolean): Boolean: * Checks if given item can be found in the passed collection |
public | hasClass (ele: DOMElement, cls: String): Boolean: * Determine whether the passed elements is assigned the given class |
public | hasHashChange : * Checks if browser has onhashchange event |
public | hasStorage : * Checks if browser has Storage feature |
public | ignoreCase (First: String, Second: String): Number: * Case insensitive compare function for passed strings |
public | isArray (obj: Array): Boolean: * Check passed argument is an array |
public | isEmpty (text: String): Boolean: * Checks if passed string is empty |
public | isEmpty (obj: Any): Boolean: * Check passed argument is empty (undefined, null or empty string) |
public | isFn (obj: Function): Boolean: * Check passed argument is a function |
public | isNull (obj: Any): Boolean: * Check passed argument is null |
public | isNumber (obj: Number): Boolean: * Check passed argument is a number |
public | isObj (obj: Object): Boolean: * Check passed argument is an object |
public | isString (obj: String): Boolean: * Check passed argument is a string |
public | isUndef (obj: Any): Boolean: * Check passed argument is undefined |
public | keyCode (evt: Event): Number: * Returns the Unicode value of pressed key |
public | matchCase (text: String): String: * Returns passed string as lowercase if caseSensitive flag set false. |
public | numSortAsc (First: Number, Second: Number, Negative,: Number): * Sorts passed numbers in a ascending manner |
public | numSortDesc (First: Number, Second: Number, Negative,: Number): * Sorts passed numbers in a descending manner |
public | parse (Formatted: String, Decimal: String): Number: * Takes a string, removes all formatting/cruft and returns the raw float value |
public | removeClass (ele: DOMElement, cls: String): * Removes the specified class to the passed element |
public | removeElm (node: DOMElement): DOMElement: * Removes passed node from DOM |
public | removeEvt (obj: DOMElement, type: String, Handler: Function, capture: Boolean): * Remove event handler for specified event on passed element |
public | rgxEsc (text: String): String: * Makes regex safe string by escaping special characters from passed string |
public | root : * Export window or global object depending on the environment |
public | stopEvt (evt: Event): * Prevents further propagation of the current event in the bubbling phase |
public | tag (tagname: String): NodeList: * Returns list of element matching the supplied tag name |
public | targetEvt (evt: Event): DOMElement: * Reference to the object that dispatched the event |
public | trim (text: String): String: * Removes whitespace from both sides of passed string |

## Static Public

### public AUTO_FILTER_DELAY: Number source

    import {AUTO_FILTER_DELAY} from 'tablefilter/src/const.js'

Auto filter delay in milliseconds

### public CELL_TAG: String source

    import {CELL_TAG} from 'tablefilter/src/const.js'

Cell tag

### public CHECKLIST: String source

    import {CHECKLIST} from 'tablefilter/src/const.js'

Checklist filter type

### public DATE: String source

    import {DATE} from 'tablefilter/src/const.js'

Date

### public DOWN_ARROW_KEY: Number source

    import {DOWN_ARROW_KEY} from 'tablefilter/src/const.js'

Down arrow key code

### public ENTER_KEY: Number source

    import {ENTER_KEY} from 'tablefilter/src/const.js'

Enter key code

### public ESC_KEY: Number source

    import {ESC_KEY} from 'tablefilter/src/const.js'

Escape key code

### public FORMATTED_NUMBER: String source

    import {FORMATTED_NUMBER} from 'tablefilter/src/const.js'

Formatted number

### public HEADER_TAG: String source

    import {HEADER_TAG} from 'tablefilter/src/const.js'

Header cell tag

### public INPUT: String source

    import {INPUT} from 'tablefilter/src/const.js'

Input filter type

### public IP_ADDRESS: String source

    import {IP_ADDRESS} from 'tablefilter/src/const.js'

IP address

### public MULTIPLE: String source

    import {MULTIPLE} from 'tablefilter/src/const.js'

Multiple select filter type

### public NONE: String source

    import {NONE} from 'tablefilter/src/const.js'

None filter type

### public NUMBER: String source

    import {NUMBER} from 'tablefilter/src/const.js'

Number

### public SELECT: String source

    import {SELECT} from 'tablefilter/src/const.js'

Select filter type

### public STRING: String source

    import {STRING} from 'tablefilter/src/const.js'

String

### public TAB_KEY: Number source

    import {TAB_KEY} from 'tablefilter/src/const.js'

Tab key code

### public UP_ARROW_KEY: Number source

    import {UP_ARROW_KEY} from 'tablefilter/src/const.js'

Up arrow key code

### public addClass(ele: DOMElement, cls: String): * source

    import {addClass} from 'tablefilter/src/dom.js'

Adds the specified class to the passed element

### public addEvt(obj: DOMElement, type: String, Handler: Function, capture: Boolean): * source

    import {addEvt} from 'tablefilter/src/event.js'

Add event handler for specified event on passed element

### public cancelEvt(evt: Event): * source

    import {cancelEvt} from 'tablefilter/src/event.js'

Cancels the event if it is cancelable, without stopping further propagation of the event.

### public contains(term: String, data: String, exactMatch: Boolean, caseSensitive: Boolean, ignoreDiacritics: Boolean): Boolean: * source

    import {contains} from 'tablefilter/src/string.js'

Checks if passed data contains the searched term

#### Return:

Boolean

### public createCheckItem(id: String, chkValue: String, labelText: String): Object: * source

    import {createCheckItem} from 'tablefilter/src/dom.js'

Creates and returns a checklist item

#### Return:

Object | li DOM element

### public createElm(tag: String, an: Array): Object: * source

    import {createElm} from 'tablefilter/src/dom.js'

Creates an html element with given collection of attributes

#### Return:

Object | created element

### public createOpt(text: String, value: String, isSel: Boolean): Object: * source

    import {createOpt} from 'tablefilter/src/dom.js'

Creates and returns an option element

#### Return:

Object | option element

### public createText(txt: String): Object: * source

    import {createText} from 'tablefilter/src/dom.js'

Returns a text node with given text

#### Return:

Object

### public elm(id: String): DOMElement: * source

    import {elm} from 'tablefilter/src/dom.js'

Returns the element matching the supplied Id

#### Return:

DOMElement

### public getFirstTextNode(node: NodeElement): String: * source

    import {getFirstTextNode} from 'tablefilter/src/dom.js'

Returns the first text node contained in the supplied node

#### Return:

String

### public getText(node: NodeElement): String: * source

    import {getText} from 'tablefilter/src/dom.js'

Returns text + text of children of given node

#### Return:

String

### public has(arr: Array, val: Any, caseSensitive: Boolean): Boolean: * source

    import {has} from 'tablefilter/src/array.js'

Checks if given item can be found in the passed collection

#### Return:

Boolean

### public hasClass(ele: DOMElement, cls: String): Boolean: * source

    import {hasClass} from 'tablefilter/src/dom.js'

Determine whether the passed elements is assigned the given class

#### Return:

Boolean

### public hasHashChange: * source

    import {hasHashChange} from 'tablefilter/src/modules/hash.js'

Checks if browser has onhashchange event

### public hasStorage: * source

    import {hasStorage} from 'tablefilter/src/modules/storage.js'

Checks if browser has Storage feature

### public ignoreCase(First: String, Second: String): Number: * source

    import {ignoreCase} from 'tablefilter/src/sort.js'

Case insensitive compare function for passed strings

#### Return:

Number | 1 if first string lower than second one 0 if first string same order as second one 1 if first string greater than second one

### public isArray(obj: Array): Boolean: * source

    import {isArray} from 'tablefilter/src/types.js'

Check passed argument is an array

#### Return:

Boolean

### public isEmpty(text: String): Boolean: * source

    import {isEmpty} from 'tablefilter/src/string.js'

Checks if passed string is empty

#### Return:

Boolean

### public isEmpty(obj: Any): Boolean: * source

    import {isEmpty} from 'tablefilter/src/types.js'

Check passed argument is empty (undefined, null or empty string)

#### Return:

Boolean

### public isFn(obj: Function): Boolean: * source

    import {isFn} from 'tablefilter/src/types.js'

Check passed argument is a function

#### Return:

Boolean

### public isNull(obj: Any): Boolean: * source

    import {isNull} from 'tablefilter/src/types.js'

Check passed argument is null

#### Return:

Boolean

### public isNumber(obj: Number): Boolean: * source

    import {isNumber} from 'tablefilter/src/types.js'

Check passed argument is a number

#### Return:

Boolean

### public isObj(obj: Object): Boolean: * source

    import {isObj} from 'tablefilter/src/types.js'

Check passed argument is an object

#### Return:

Boolean

### public isString(obj: String): Boolean: * source

    import {isString} from 'tablefilter/src/types.js'

Check passed argument is a string

#### Return:

Boolean

### public isUndef(obj: Any): Boolean: * source

    import {isUndef} from 'tablefilter/src/types.js'

Check passed argument is undefined

#### Return:

Boolean

### public keyCode(evt: Event): Number: * source

    import {keyCode} from 'tablefilter/src/event.js'

Returns the Unicode value of pressed key

#### Return:

Number

### public matchCase(text: String): String: * source

    import {matchCase} from 'tablefilter/src/string.js'

Returns passed string as lowercase if caseSensitive flag set false. By default it returns the string with no casing changes.

#### Return:

String | string

### public numSortAsc(First: Number, Second: Number, Negative,: Number): * source

    import {numSortAsc} from 'tablefilter/src/sort.js'

Sorts passed numbers in a ascending manner

### public numSortDesc(First: Number, Second: Number, Negative,: Number): * source

    import {numSortDesc} from 'tablefilter/src/sort.js'

Sorts passed numbers in a descending manner

### public parse(Formatted: String, Decimal: String): Number: * source

    import {parse} from 'tablefilter/src/number.js'

Takes a string, removes all formatting/cruft and returns the raw float value

#### Return:

Number | Unformatted number https://github.com/openexchangerates/accounting.js/blob/master/accounting.js

### public removeClass(ele: DOMElement, cls: String): * source

    import {removeClass} from 'tablefilter/src/dom.js'

Removes the specified class to the passed element

### public removeElm(node: DOMElement): DOMElement: * source

    import {removeElm} from 'tablefilter/src/dom.js'

Removes passed node from DOM

#### Return:

DOMElement | old node reference

### public removeEvt(obj: DOMElement, type: String, Handler: Function, capture: Boolean): * source

    import {removeEvt} from 'tablefilter/src/event.js'

Remove event handler for specified event on passed element

### public rgxEsc(text: String): String: * source

    import {rgxEsc} from 'tablefilter/src/string.js'

Makes regex safe string by escaping special characters from passed string

#### Return:

String | escaped string

### public root: * source

    import {root} from 'tablefilter/src/root.js'

Export window or global object depending on the environment

### public stopEvt(evt: Event): * source

    import {stopEvt} from 'tablefilter/src/event.js'

Prevents further propagation of the current event in the bubbling phase

### public tag(tagname: String): NodeList: * source

    import {tag} from 'tablefilter/src/dom.js'

Returns list of element matching the supplied tag name

#### Return:

NodeList

### public targetEvt(evt: Event): DOMElement: * source

    import {targetEvt} from 'tablefilter/src/event.js'

Reference to the object that dispatched the event

#### Return:

DOMElement

### public trim(text: String): String: * source

    import {trim} from 'tablefilter/src/string.js'

Removes whitespace from both sides of passed string

#### Return:

String